unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Excel2000, adxxlFormsManager, ComCtrls, StdCtrls;

type
  TadxExcelTaskPane1 = class(TadxExcelTaskPane)
    Label1: TLabel;
    tbCurrentSize: TTrackBar;
    Label3: TLabel;
    procedure tbCurrentSizeChange(Sender: TObject);
    procedure adxExcelTaskPaneADXBeforeTaskPaneShow(ASender: TObject;
      Args: TadxBeforeTaskPaneShowEventArgs);
  private
    { Private declarations }
    procedure ChangeFormSize(value: integer);
  protected
    { Protected declarations }
  public
    { Public declarations }
  published
    { Published declarations }
  end;

{NOTE: The adxExcelTaskPane1 variable is intended for the exclusive use
       by the TadxExcelTaskPanesCollectionItem Designer.
       NEVER use this variable for other purposes.}
var
  adxExcelTaskPane1 : TadxExcelTaskPane1;

implementation

{$R *.DFM}

procedure TadxExcelTaskPane1.tbCurrentSizeChange(Sender: TObject);
begin
  ChangeFormSize(tbCurrentSize.Position);
end;

procedure TadxExcelTaskPane1.adxExcelTaskPaneADXBeforeTaskPaneShow(
  ASender: TObject; Args: TadxBeforeTaskPaneShowEventArgs);
begin
  ChangeFormSize(300);
end;

procedure TadxExcelTaskPane1.ChangeFormSize(value: integer);
begin
  case self.Item.Position of
    pBottom,
    pTop: begin
      self.Height := value;
    end;

    pLeft,
    pRight: begin
      self.Width := value;
    end;

    pUnknown: begin
      //Nothing
    end;
  end;
end;

initialization
  RegisterClass(TPersistentClass(TadxExcelTaskPane1));

finalization
end.
